Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
[Java] Interface ResolvedArtifact

    public interface ResolvedArtifact

Information about a resolved artifact.

Authors:
  Hans Dockter

Method Summary
`String` | `getClassifier()`
`String` | `getExtension()`
`File` | `getFile()`
`ResolvedModuleVersion` | `getModuleVersion()` Returns the module which this artifact belongs to.
`String` | `getName()`
`ResolvedDependency` | `getResolvedDependency()` Returns one of the dependencies which this artifact belongs to.
`String` | `getType()`

Method Detail

### getClassifier

    public String getClassifier()

### getExtension

    public String getExtension()

### getFile

    public File getFile()

### getModuleVersion

    public ResolvedModuleVersion getModuleVersion()

  Returns the module which this artifact belongs to.
  Returns:
    The module.

### getName

    public String getName()

### getResolvedDependency

    @Deprecated
    public ResolvedDependency getResolvedDependency()

  Returns one of the dependencies which this artifact belongs to.
  deprecated:
    An artifact can belong to multiple dependencies. Use getModuleVersion() instead.
  Returns:
    One of the dependencies which this artifact belongs to.

### getType

    public String getType()

Gradle API 1.1-rc-1